#include <stdio.h>

int main()
{
    int n,a=0,c=1,k,p,i=1,j=1,x,br1=1,br2=1;
    scanf("%d %d %d",&n,&k,&x);
    p=k;
    int niz[n];
    for(i=1;i<=n;i++)
        scanf("%d",&niz[i]);
    int zbir=0,br=0,brojac=0;
    int mat[p][p];
    while(brojac<p)
    {
        for(i=j;i<k+1;i++)
        {
            zbir=zbir+niz[i];
        }
        printf("%d ",zbir);
        zbir=0;
        brojac++;
        j++;
        k++;
    }
}